=== debian/control ===
Source: imgvtopgm
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Erik Schanze <eriks@debian.org>
Standards-Version: 4.6.2
Build-Depends: libnetpbm-dev, debhelper-compat (= 13)
Vcs-Git: https://salsa.debian.org/debian-phototools-team/imgvtopgm.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imgvtopgm
Homepage: https://sourceforge.net/projects/imgvtopgm/
Rules-Requires-Root: no

Package: imgvtopgm
Architecture: any
Depends: netpbm, ${misc:Depends}, ${shlibs:Depends}, xli
Description: PalmPilot/III Image Conversion utility
 This program can convert, compress, and decompress up to 4-bit grayscale
 images for displaying on the PalmPilot. It can take any pbm, pnm, pgm file
 generated by the netpbm package and convert it into a suitable image
 for the Pilot.
 .
 Together with netpbm many image formats, including JPEG, PNG, GIF, TIFF
 and BMP, could be converted into PDB format. This can be displayed on
 PalmPilot/III by viewers like "ImageViewer", "TinyViewer" or "Spec".
