=== debian/watch ===
version=4
http://qa.debian.org/watch/sf.php/imgvtopgm/ imgvtopgm-(.*)(?:\.tar(?:\.gz|\.bz2)?|\.tgz)
